Bug 995719 - sandbox default window manager is not as man page describes
sandbox default window manager is not as man page describes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-10 08:59 EDT by amturnip
Modified: 2014-02-05 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:15:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description amturnip 2013-08-10 08:59:39 EDT
Description of problem:

man sandbox says:

    -W windowmanager
           Select  alternative  window  manager  to  run within sandbox -X.
           Default to /usr/bin/matchbox-window-manager.

sandbox is not observing the documented default for -W.  The man page describes a better scenario than what sandbox implements.  

The following two sandbox invocations demonstrate a significant difference between omitting -W and specifying -W as the stated default.  In practice, firefox is unusable without -W, but works ok with an explicit statement of the stated default of -W.

    sandbox -X -t sandbox_web_t /usr/bin/firefox

    sandbox -X -t sandbox_web_t -W /usr/bin/matchbox-window-manager /usr/bin/firefox


Version-Release number of selected component (if applicable):

$ rpm -q policycoreutils matchbox-window-manager firefox
policycoreutils-2.1.13-59.fc18.x86_64
matchbox-window-manager-1.2-10.20070628svn.fc18.x86_64
firefox-22.0-1.fc18.x86_64


How reproducible:  Consistently.


Steps to Reproduce:

1. Open sandbox with default window manager to run firefox using the first invocation above. A firefox window opens, titled "Sandbox...".  In firefox, choose Tools Downloads. Now you are stuck! The Downloads window opened maximized in the sandbox, and you have no way to dismiss Downloads short of closing the whole sandbox.  Close the sandbox.

2. Open sandbox with -W reinforcing the stated default window manager, the second invocation above. Firefox has a title bar and close box within the sandbox window. In firefox, choose Tools Downloads. Downloads too has a title and close box. Use the Downloads window's close box to return to firefox.


Actual results:

Different outcomes result from (a) omitting -W, and (b) specifying -W as its documented default value.


Expected results:

The same outcome should result from (a) omitting -W, and (b) specifying -W as its documented default value.
Comment 1 amturnip 2013-08-10 09:57:11 EDT
Changing release to 18. This was observed in Fedora 18.
Comment 2 amturnip 2013-08-10 10:20:01 EDT
In Fedora 19 sandbox and its man page agree - and Firefox gets stuck in Downloads with -W or without it.
Comment 3 Daniel Walsh 2013-08-13 18:42:22 EDT
In 19 the default window manager is openbox.  In 18 it should be Matchbox-window-manager in both cases.  Is you do the case without -w do you see Matchbox-window-manager running?
Comment 4 amturnip 2013-08-14 20:18:46 EDT
In Fedora 18:

$ ps aux | grep matchbox
[no]

$ sandbox -X -t sandbox_web_t /usr/bin/firefox &
[1] 2515

$ ps aux | grep matchbox
turnip    2541  0.2  0.0 106116  6376 ?        S    20:01   0:00 /usr/bin/matchbox-window-manager -use_titlebar no

It is matchbox with or without -W, but different options.  The sandbox default apparently adds an option, "-use_titlebar no", that causes unhappiness with Firefox and is not in the man page's statement of the default.
Comment 5 Fedora End Of Life 2013-12-21 09:27:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:15:54 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.